GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
uri_parser.c File Reference
`#include "src/core/client_config/uri_parser.h"`
`#include <string.h>`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`
`#include <grpc/support/string_util.h>`

## Functions
grpc_uri * | grpc_uri_parse (const char *uri_text, int suppress_errors)
| parse a uri, return NULL on failure More...
void | grpc_uri_destroy (grpc_uri *uri)
| destroy a uri More...

## Function Documentation

void grpc_uri_destroy | ( | grpc_uri * | uri | ) |

destroy a uri

grpc_uri* grpc_uri_parse | ( | const char * | uri_text,
|  | int | suppress_errors
| ) |  |

parse a uri, return NULL on failure